### Method

# Foundry LspClient call

#### Declaration [src]

    DexFuture*
    foundry_lsp_client_call (
      FoundryLspClient* self,
      const char* method,
      JsonNode* params
    )

#### Description [src]

If `params` is floating, the reference will be consumed.

#### Parameters

`method`

  Type: `const char*`

  The method name to call.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`params`

  Type: `JsonNode`

  Parameters for the method call.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves when a reply is received for the method call.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.